Subject: Re: [PATCH 12/13] hash-object: handle --literally with OPT_NEGBIT

From: Junio C Hamano <[email-masked]>
Date: Mon, 19 May 2025 08:30:50 -0700

Jeff King <[email-masked]> writes:

> Since we recently removed the hash_literally() function, the hash-object
> --literally option has been simplified to just removing the
> INDEX_FORMAT_CHECK flag. Rather than pass it around as a separate bool,
> we can just have the option parser remove the bit from the set of flags
> directly. This simplifies the helper functions.

Interesting.

I never anticipated this coming after reading the previous steps,
but when presented, it is so obvious a thing to do.

Indeed, the code path to hash_fd() gets simplified quite a lot.

Thanks.